Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Debian User (http://www.linux-archive.org/debian-user/)
-   -   Etch: emacs or emac21? (http://www.linux-archive.org/debian-user/33966-etch-emacs-emac21.html)

Rodolfo Medina 01-10-2008 02:58 PM

Etch: emacs or emac21?
 
Hi, Debian users.

In Sarge there was only the package `emacs21'. Now in Etch we have also
`emacs', but the difference between the two is not clear to me. What should I
install in order to use the Emacs editor, `emacs' or `emacs21'?

Thanks for any reply
Rodolfo


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Andrew Sackville-West 01-10-2008 03:16 PM

Etch: emacs or emac21?
 
On Thu, Jan 10, 2008 at 04:58:38PM +0100, Rodolfo Medina wrote:
> Hi, Debian users.
>
> In Sarge there was only the package `emacs21'. Now in Etch we have also
> `emacs', but the difference between the two is not clear to me. What should I
> install in order to use the Emacs editor, `emacs' or `emacs21'?

either one. emacs21 pulls in emacs version 21.x.x, emacs pulls in
emacs version 22.x.x

A

"Chris Howie" 01-10-2008 03:19 PM

Etch: emacs or emac21?
 
(Resending to the list.* Sorry for the duplicate, Rodolfo.)

On Jan 10, 2008 11:18 AM, Chris Howie <cdhowie@gmail.com> wrote:

On Jan 10, 2008 10:58 AM, Rodolfo Medina <rodolfo.medina@gmail.com> wrote:


In Sarge there was only the package `emacs21'. *Now in Etch we have also
`emacs', but the difference between the two is not clear to me. *What should I
install in order to use the Emacs editor, `emacs' or `emacs21'?


emacs is a metapackage that depends on the latest emacs.* In sarge, emacs depends on emacs21.* So you install emacs if you always want the latest version, and emacs21 if you want version 21.

--
Chris Howie
http://www.chrishowie.com

http://en.wikipedia.org/wiki/User:Crazycomputers


--
Chris Howie
http://www.chrishowie.com
http://en.wikipedia.org/wiki/User:Crazycomputers

"s. keeling" 01-11-2008 01:53 AM

Etch: emacs or emac21?
 
Rodolfo Medina <rodolfo.medina@gmail.com>:
>
> In Sarge there was only the package `emacs21'. Now in Etch we have also
> `emacs', but the difference between the two is not clear to me. What should I
> install in order to use the Emacs editor, `emacs' or `emacs21'?

I don't have "emacs" (etch). I do have:

(0) heretic /home/keeling/procmail_ pkgs emacs | egrep '^i'
i emacs21 - The GNU Emacs editor
i A emacs21-bin-common - The GNU Emacs editor's shared, architectur
i A emacs21-common - The GNU Emacs editor's shared, architectur
i A emacsen-common - Common facilities for all emacsen

# alias pkgs='aptitude search'

FYI, "emacs" is a metapackage:

Provides: editor, emacsen, info-browser, mail-reader, news-reader

and installing "emacs" may drag in stuff you may not have intended to get.


--
Any technology distinguishable from magic is insufficiently advanced.
(*) http://blinkynet.net/comp/uip5.html Linux Counter #80292
- - http://www.faqs.org/rfcs/rfc1855.html Please, don't Cc: me.


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org


All times are GMT. The time now is 07:45 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.